<template>
  <div
    v-if="props.isVisible"
    class="bg-gradient-to-b from-brand-500 to-brand-300 h-20 p-4 w-full flex items-center justify-between sticky shadow-b z-50 top-0"
  >
    <div class="text-white">
      GetSphere is best used on desktop sized screens
    </div>
    <el-button
      class="text-white"
      @click.prevent="onBannerClose"
    >
      Hide
    </el-button>
  </div>
</template>

<script setup lang="ts">
import {
  defineProps,
  defineEmits,
} from 'vue';

const props = defineProps({
  isVisible: {
    type: Boolean,
    default: true,
  },
});

const emit = defineEmits(['update:isVisible']);
const onBannerClose = () => emit('update:isVisible', false);
</script>

<script lang="ts">
export default {
  name: 'MobileBanner',
};
</script>

<style lang="scss"></style>
